Xalan-Java: Class StringVector

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xpath.xml
Class StringVector

    java.lang.Object
      |
      +--org.apache.xalan.xpath.xml.StringVector

Direct Known Subclasses:
  MutableAttrListImpl

public class StringVector
extends java.lang.Object

**For internal use only** A very simple table that stores a list of strings, optimized for small lists.

Constructor Summary
`StringVector()` **For internal use only** Default constructor.
`StringVector(int blocksize)` **For internal use only** Construct a StringVector, using the given block size.

Method Summary
`void` | `addElement(java.lang.String value)` **For internal use only** Append a string onto the vector.
`boolean` | `contains(java.lang.String s)` **For internal use only** Tell if the table contains the given string.
`boolean` | `containsIgnoreCase(java.lang.String s)` **For internal use only** Tell if the table contains the given string.
`java.lang.String` | `elementAt(int i)` **For internal use only** Get the nth element.
`int` | `getLength()` **For internal use only** Get the length of the list.
`java.lang.String` | `peek()` **For internal use only** Tell if the table contains the given string.
`java.lang.String` | `pop()` **For internal use only** Tell if the table contains the given string.
`void` | `push(java.lang.String s)` **For internal use only** Tell if the table contains the given string.
`int` | `size()` **For internal use only** Get the length of the list.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringVector

    public StringVector()

  **For internal use only** Default constructor. Note that the default block size is very small, for small lists.

### StringVector

    public StringVector(int blocksize)

  **For internal use only** Construct a StringVector, using the given block size.

Method Detail

### getLength

    public int getLength()

  **For internal use only** Get the length of the list.

### size

    public final int size()

  **For internal use only** Get the length of the list.

### addElement

    public final void addElement(java.lang.String value)

  **For internal use only** Append a string onto the vector.

### elementAt

    public final java.lang.String elementAt(int i)

  **For internal use only** Get the nth element.

### contains

    public final boolean contains(java.lang.String s)

  **For internal use only** Tell if the table contains the given string.

### containsIgnoreCase

    public final boolean containsIgnoreCase(java.lang.String s)

  **For internal use only** Tell if the table contains the given string.

### push

    public final void push(java.lang.String s)

  **For internal use only** Tell if the table contains the given string.

### pop

    public final java.lang.String pop()

  **For internal use only** Tell if the table contains the given string.

### peek

    public final java.lang.String peek()

  **For internal use only** Tell if the table contains the given string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.